## Modulemd.TranslationEntry (Private) Modulemd.TranslationEntry (Private) — ModulemdTranslationEntry methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdTranslationEntry * | modulemd_translation_entry_parse_yaml ()
gboolean | modulemd_translation_entry_emit_yaml ()

## Description

## Functions

### modulemd_translation_entry_parse_yaml ()

    ModulemdTranslationEntry *
    modulemd_translation_entry_parse_yaml (yaml_parser_t *parser,
                                           const gchar *locale,
                                           gboolean strict,
                                           GError **error);

#### Parameters

parser | A libyaml parser object positioned at the beginning of a Translation Entry's mapping entry in the YAML document. | [inout]
locale | A string with the locale for the current translation entry. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdTranslationEntry object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_translation_entry_emit_yaml ()

    gboolean
    modulemd_translation_entry_emit_yaml (ModulemdTranslationEntry *self,
                                          yaml_emitter_t *emitter,
                                          GError **error);

#### Parameters

self | This ModulemdTranslationEntry object. |
emitter | A libyaml emitter object positioned where a Translation Entry belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the translation entry was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0